Packages - Bug #2401

[lightspark] Rebuild request
2019-07-23 07:06 PM - Anonymous

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Lightspark was built with missing library:

“lightspark: error while loading shared libraries: libLLVM-6.0.s0: cannot open shared object file: No such file or directory”

| have LLVM 8.0 from testing.

Related issues:
Related to Packages - Housekeeping #2400: [lightspark][gnash-gtk] Dependencies fixed

History

#1 - 2019-07-23 07:29 PM - bill-auger

- Assignee set to bill-auger

- Status changed from open to forwarded upstream

- Tracker changed from Packaging Request to Bug

ok i did not realize LLVM would be a run-time dependency - i did not actually try to run the program - i dont have any swf files ATM
will it work if you install 'llvmé' ? - i had a problem with that myself - i needed to completely remove 'livm7' before i could install 'llvmé'
this program will not compile OOTB against 'llvm7' or 'llvm8' - i opened a BR upstream about that already

https://github.com/lightspark/lightspark/issues/358

#2 - 2019-07-23 07:29 PM - bill-auger
- Related to Housekeeping #2400: [lightsparkj[gnash-gtk] Dependencies added

#3 - 2019-09-22 09:31 PM - bill-auger

- Status changed from forwarded upstream to fixed

the upstream has released 0.8.2 which compiles successfully with LLVMv8
